<?php
############################################################
#Author:
#Martin Schwindl, mscalendar@ratin.de
#
/**
 * jquery.calendario.js v1.0.0
 * http://www.codrops.com
 *
 * Licensed under the MIT license.
 * http://www.opensource.org/licenses/mit-license.php
 * 
 * Copyright 2012, Codrops
 * http://www.codrops.com
 */
#
#Usage:
#LocalSettings.php:
#
#//Start-----------------MsCalendar
#require_once("$IP/extensions/MsCalendar/mscalendar.php");
#//End-------------------MsCalendar
#
#In wiki Editior:
#<mscalendar name="Name_of_Calendar" sort="abc"></calendar>
#
############################################################

# Setup and Hooks for the MsCalendar extension
if( !defined( 'MEDIAWIKI' ) ) {
 	echo( "This file is an extension to the MediaWiki software and cannot be used standalone.\n" );
 	die( 1 );
}


$wgExtensionCredits['parserhook'][] = array(
	'name' => 'MsCalendar',
	'url'  => 'http://www.ratin.de/wiki.html',
	'description' => 'Kalenderfunktion für MediaWiki',
	'version' => '1.8',
	'author' => '[mailto:mscalender@ratin.de info@ratin.de] | Ratin',
);

$dir = dirname(__FILE__).'/';

$wgHooks['ParserFirstCallInit'][] = 'MsCalendarSetHook';
require_once($dir.'mscalendar.body.php');

$wgResourceModules['ext.MsCalendar'] = array(
        // JavaScript and CSS styles.
        'scripts' => array( 'js/jquery.calendario.js','js/mscalendar.js'),
        'styles' => array( 'css/calendar.css'),
        //'messages' => array( '' ),
		//'position' => 'top',
        'dependencies' => array( 'jquery.ui.dialog','jquery.ui.datepicker' ),
        // subdir relative to "/extensions"
        'localBasePath' => dirname( __FILE__ ),
        'remoteExtPath' => 'MsCalendar'
);

function MsCalendarSetHook( Parser $parser) {
	$parser->setHook( 'mscalendar', 'MsCalendarRender' );
	return true;
}
